Subject: [bug#74736] Re v8 of Add Request-For-Comment process.

From: Hartmut Goebel <[email-masked]>
Date: Sun, 12 Jan 2025 16:57:51 +0100

Hi,

being late to the discussion, here are my 2 cent. Please apologize if things have already been discussion and decided.

Section "How the Process Works", number 2: Is –sequence number obvious enough? If the GCD is not pushed to the repo right after creating, other authors need to look at the patches-mailinglist.

Also, if not pushing to the repo just after creating the GCD, sequence-numbers will be missing if the GCD is withdrawn or rejected.

Section "How the Process Works", number 3: I don't understand "must not be prospective". According to dict.leo.org, "prospective" translates in German to adjectives like long-sighted put also to in the future, estimated, likley.

Section "How the Process Works", number 4: It should be states explicitly that the patch is for/against guix-consensus-documents.

Section "Roles", Sponsor: here the term "RFC" is used.

Section "Roles", Sponsor: "is a contributor" and "should be a contributor". Contributor to the GCD or to Guix? What makes one a "contributor"? Is the term defined somewhere else, e.g. in the Guix Manual?

Section "Timelime", Flowshart: Some kind of "declined" is missing.

Section "Submission Period": withdraw and can resubmit "possibly under a new GCD number". Why possibly? What are the rules whether a new number has to be used?

Section "Submission Period", Withdrawal and Resubmit: Are there any rules  why or when an author may resubmit the GCD? Is feedback like "The idea is good, but a lot of things popped up during discussion, so we need revise the GCD in great parts" a case for this?

Section "Discussion Period": Can the period be extended? What happens if there is still heavy discussion aber 60 days?

Section "Deliberate period": IMHO "deliberation" is the wrong term, since the team members send in their votes. I suggest calling it "Voting Period", even if someone might argue that in consent based decision making, "deliberation" is the term to use.

Section "Deliberate period":The 25% are to be counted at which valuation date? I propose:

Section "Deliberate period": The sentence "Deliberation aims to …" should be moved near the beginning of the section.

Section "Deliberate period":Same for "Anyone who is a team member..."

Section "Deliberate period": "GCD acceptence" and "withdrawal does not necessarily" should go out of this section into as more general part. Mayby into "Decision Making" (see my next point on this).

Section "Deliberate period": IMHO if a vast number of team members disapprove the proposal it should be taken as rejected.

Section "Decision Making": should go in front of "Timeline", since it describes the principle.

Section "Merging": "if previously-accepted GCDs are deprecated": make clear that the status of the deprecated GCD is to be changed.

--
Regards
Hartmut Goebel

| Hartmut Goebel | [email-masked] |
| www.crazy-compilers.com | compilers which you thought are impossible |